#!/usr/bin/env ruby
# ingest several data streams concurently forever
require_relative 'wendelin_test'

def runingest(stream_ref)
    i = 0
    while true
        data_chunk = ", #{i} (#{stream_ref})"
        #puts "ingest #{stream_ref}, #{data_chunk}"
        ingest stream_ref, data_chunk
        i = i + 1
        sleep 0.1
    end
end


t31 = Thread.new { runingest 'ABC-HELLO-01.cat' }
t32 = Thread.new { runingest 'ABC-HELLO-01.tac' }

t31.join    # wait forever
